using System;

namespace _1_Pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] temp; //Ovo je jedini niz koj je potreban 
            UInt32 visina_perice;
            UInt32[] visine_stalatita;
            int broj_stalaktita;

            temp = Console.ReadLine().Split();
            broj_stalaktita = int.Parse(temp[0]);
            visina_perice = UInt32.Parse(temp[1]);


            temp = Console.ReadLine().Split();
            for(int i = 0; i < broj_stalaktita; i++)
            {
                
                if (UInt32.Parse(temp[i]) <= visina_perice)
                {
                    Console.WriteLine(i + 1);
                    return; //Ovo je hak da samo zavrsi program kad se ovo desi
                }
            }

            Console.WriteLine("-1");
        }
    }
}